/* $Id: omega_coadd.h,v 1.3 2011-06-27 12:59:41 agabasch Exp $
 *
 * This file is part of the IIINSTRUMENT Pipeline
 * Copyright (C) 2002,2003 European Southern Observatory
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/*
 * $Author: agabasch $
 * $Date: 2011-06-27 12:59:41 $
 * $Revision: 1.3 $
 * $Name: not supported by cvs2svn $
 */

#ifndef OC_COADD_H
#define OC_COADD_H

/*-----------------------------------------------------------------------------
   								Includes
 -----------------------------------------------------------------------------*/

#include <cpl.h>

/*-----------------------------------------------------------------------------
   								Defines
 -----------------------------------------------------------------------------*/

/*-----------------------------------------------------------------------------
   							        Prototypes
 -----------------------------------------------------------------------------*/
/*const char * make_coadded(const char *,const char *,cpl_parameterlist *, N);*/
const char * make_coadded(cpl_table *,cpl_parameterlist *, int);
cpl_image **omega_jitter_stack(cpl_frameset *jset, cpl_frameset *jset_mask, cpl_bivector *offsets, int refine,
							cpl_parameterlist *pars, int ext);
cpl_bivector *omega_tel_offsets(cpl_frameset *set, int mode);

cpl_bivector *omega_get_offsets_from_wcs (
    const cpl_frameset * frameset,
    const cpl_frame * ref_frame,
    int ext);

#endif
