/* $Id: omega_photometry.h,v 1.7 2011-07-06 14:49:38 agabasch Exp $
 *
 * This file is part of the OMEGA Pipeline
 * Copyright (C) 2002,2003 European Southern Observatory
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/*
 * $Author: agabasch $
 * $Date: 2011-07-06 14:49:38 $
 * $Revision: 1.7 $
 * $Name: not supported by cvs2svn $
 */

#ifndef OC_PHOTOM_H
#define OC_PHOTOM_H

#include <cpl.h>


cpl_table *omega_photom_tbl(const char *star, double gain,
		const cpl_frame *refcat, cpl_parameterlist *pars, cpl_table **extra);

cpl_table *omega_zeropoints(cpl_table *matches, cpl_table *extra, const cpl_frame *monitfr,
							const cpl_frame *extfr, const cpl_frame *colfr);
int omega_basic_param(cpl_table *sources, double scale, double *seeing,
		double *ellipticity);
void omega_get_extinction(cpl_table *extra, cpl_table *extinct2,
		cpl_table *extinct1, double *extinction, cpl_table *monit2,
		double *shift_err, double *extinction_airmass,
		double *extinction_error_kwad);




#endif
