/* $Id: omega_trim.h,v 1.1.1.1 2011-03-16 11:59:34 agabasch Exp $
 *
 * This file is part of the OMEGA Pipeline
 * Copyright (C) 2002,2003 European Southern Observatory
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/*
 * $Author: agabasch $
 * $Date: 2011-03-16 11:59:34 $
 * $Revision: 1.1.1.1 $
 * $Name: not supported by cvs2svn $
 */

#ifndef OC_TRIMOSCAN_H
#define OC_TRIMOSCAN_H

/*-----------------------------------------------------------------------------
   								Includes
 -----------------------------------------------------------------------------*/

#include <cpl.h>
#include "omega_fits.h"

cpl_image * TrimOscanCorrect (const cpl_frame *, int , int );
cpl_image *omega_trim_oscan_correct(omega_fits *ofits, int oscan);
/*void DoStatistics (cpl_frame *, cpl_image *, int );*/
void DoStatistics (const cpl_frame *, cpl_image *, int,cpl_stats **,cpl_stats **,cpl_stats **,cpl_stats ** );
void omega_scan_stats (omega_fits *ofits,cpl_stats **px,cpl_stats **py,
						cpl_stats **ox,cpl_stats **oy);
cpl_vector * omega_get_scan_coord(const cpl_propertylist *plist, int iscan);
cpl_image *oscan_row (cpl_image *, int , int );
cpl_vector * get_trim_region (const cpl_frame *, int);
cpl_vector * omega_get_trim_region(omega_fits *ofits);


#endif
